﻿using C1.Chart;
using C1.Win.Chart;
using C1.Win.Chart.Interaction;
using System;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Windows.Forms;

namespace FlexChart_AxisScrollBar
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            var rnd = new Random();
            flexChart1.Binding = "Y";
            flexChart1.BindingX = "X";
            flexChart1.Series.Add(new Series()
            {
                DataSource = Enumerable.Range(1, 100).Select(i => new Point(i, rnd.Next(100)))
            });


            // hide main x-axis
            flexChart1.AxisX.AxisLine = false;
            flexChart1.AxisX.Labels = false;
            flexChart1.AxisX.MajorTickMarks = flexChart1.AxisX.MinorTickMarks = TickMark.None;

            // add aux x-axis
            var ax2 = new Axis() { Position = Position.Bottom, Min = 1, Max = 100, AxisLine = true };
            ax2.Style.StrokeWidth = 1.5f;
            // dummy series (just to show second x-axis
            flexChart1.Series.Add(new Series() { AxisX = ax2 });

            var sbx = new AxisScrollbar(flexChart1.AxisX);
            sbx.Height = 16;
            sbx.Margin = new Padding(1);
            sbx.ValueChanged += (s, e) =>
            {
                // sync x-axis limits
                flexChart1.BeginUpdate();
                ax2.Min = sbx.LowerValue;
                ax2.Max = sbx.UpperValue;
                flexChart1.EndUpdate();
            };


            // hide main y-axis
            flexChart1.AxisY.AxisLine = false;
            flexChart1.AxisY.Labels = false;
            flexChart1.AxisY.MajorTickMarks = flexChart1.AxisX.MinorTickMarks = TickMark.None;

            // add aux y-axis
            var ay2 = new Axis() { Position = Position.Left, Min = 0, Max = 100, AxisLine = true };
            ay2.Style.StrokeWidth = 1.5f;
            // dummy series (just to show second y-axis
            flexChart1.Series.Add(new Series() { AxisY = ay2 });

            var sby = new AxisScrollbar(flexChart1.AxisY);
            sby.Width = 16;
            sby.Margin = new Padding(2);
            sby.ValueChanged += (s, e) =>
            {
                // sync x-axis limits
                flexChart1.BeginUpdate();
                ay2.Min = sby.LowerValue;
                ay2.Max = sby.UpperValue;
                flexChart1.EndUpdate();
            };
        }
    }
}
